MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002175Industrial-Craft²general / otherpublic2017-05-04 00:102017-05-06 15:37
Reporterkolen 
Assigned ToChocohead 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformJava 1.8.0_51-b16OSMac OsOS Version10.12.4
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002175: Shift-clicking in industrial workbench fills inventory with stacks of resulting item
DescriptionShift-clicking result cell in Industrial Workbench sometimes (almost always) fills all empty inventory cells with stacks of 64 resulting items, regardless of counts of source items.
Steps To Reproduce- Put two pieces of Planks to Industrial Workbench
- 4 sticks appear in result cell
- Shift-click result cell
- Expected: 4 sticks added to inventory, planks removed
- Actual: Planks disappear and all empty cells in inventory is filled with stacks of 64 sticks. Also, UI continues to behave like shift is still pressed, until I press and depress shift again.
Additional InformationI have no other mods installed, only Industrialcraft 2.6.204-ex110 (and internal Forge stuff like "Forge Mod Loader", etc).
Reproducible in multiplayer on remote server and in local creative mode.
Tags1.10.2, industrial workbench, item duplication
Minecraft Version1.10.2
Attached Filespng file icon screenshot_industrial_workbench_duplication_bug.png [^] (53,109 bytes) 2017-05-04 00:10

- Relationships

-  Notes
(0005191)
kolen (reporter)
2017-05-04 00:13

Maybe related to http://bt.industrial-craft.net/view.php?id=2097 [^]
(0005195)
Aroma1997 (developer)
2017-05-05 16:06

Which version of IC2 are you running?
(0005197)
kolen (reporter)
2017-05-05 16:42

2.6.204-ex110
(0005199)
kolen (reporter)
2017-05-05 23:06

The same problem in 2.6.206-ex110
(0005200)
Chocohead (developer)
2017-05-06 00:44

How about with IC2 2.6.207?
(0005204)
kolen (reporter)
2017-05-06 14:03

Can't reproduce in 2.6.207 (1.10), at least in creative mode, seems that it was fixed.
(0005205)
Chocohead (developer)
2017-05-06 15:37

Excellent, thanks for the report

- Issue History
Date Modified Username Field Change
2017-05-04 00:10 kolen New Issue
2017-05-04 00:10 kolen File Added: screenshot_industrial_workbench_duplication_bug.png
2017-05-04 00:11 kolen Tag Attached: 1.10.2
2017-05-04 00:11 kolen Tag Attached: industrial workbench
2017-05-04 00:12 kolen Tag Attached: item duplication
2017-05-04 00:13 kolen Note Added: 0005191
2017-05-05 16:06 Aroma1997 Note Added: 0005195
2017-05-05 16:42 kolen Note Added: 0005197
2017-05-05 23:06 kolen Note Added: 0005199
2017-05-06 00:44 Chocohead Note Added: 0005200
2017-05-06 00:44 Chocohead Assigned To => Chocohead
2017-05-06 00:44 Chocohead Status new => feedback
2017-05-06 14:03 kolen Note Added: 0005204
2017-05-06 14:03 kolen Status feedback => assigned
2017-05-06 15:37 Chocohead Note Added: 0005205
2017-05-06 15:37 Chocohead Status assigned => resolved
2017-05-06 15:37 Chocohead Fixed in Version => Builds for MC 1.10.x
2017-05-06 15:37 Chocohead Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker